import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

import javax.swing.JButton;


/**
 * The brush button
 *
 * @author Annmarie Stanley and Hannah Chadd.
 *         Created Apr 5, 2008.
 */
public class brushButton extends JButton implements MouseListener,
		ActionListener {

	/**
	 * 
	 * Performs actions for brush when clicked.
	 *
	 */
	@SuppressWarnings("deprecation")
	public brushButton() {
		super();
		this.setLabel("Brush");
		
	}
	
	public void mouseClicked(MouseEvent e) {
		DrawingPanel.drawTool = this;

	}

	public void mouseEntered(MouseEvent e) {
		// Empty

	}

	public void mouseExited(MouseEvent e) {
		// Empty

	}

	public void mousePressed(MouseEvent e) {
		CanvasPanel.changeButton(4);

	}

	public void mouseReleased(MouseEvent e) {
		// Empty

	}

	public void actionPerformed(ActionEvent e) {
		// Empty

	}

}
